Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SContext

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SActable, SAgent, SAttributed, SImplemented, SNamed

All Known Implementing Classes:
  SContextImpl

    public interface SContext

extends SAgent

A representation of the model object ' SContext'.

Author:
  Miles Parker

  The following features are supported:

  - `Agents`
  - `Projections`
  - `Value Layers`
  - `Library`
  - `All Agents`
  - `All Contexts`
See Also:
  `MetaABMPackage.getSContext()`

Method Summary
`SAgent` | `findAgent(java.lang.String id)`
`SAgent` | `findChild(java.lang.String name)`
`org.eclipse.emf.common.util.EList<SAgent>` | `getAgents()` Returns the value of the 'Agents' containment reference list.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getAllAgents()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getAllContexts()`
`java.util.List<SAgent>` | `getAllSubAgents()`
`org.eclipse.emf.common.util.EList<IArtifact>` | `getLibrary()` Returns the value of the 'Library' containment reference list.
`org.eclipse.emf.common.util.EList<SProjection>` | `getProjections()` Returns the value of the 'Projections' containment reference list.
`java.util.Collection<SContext>` | `getSubContexts()`
`org.eclipse.emf.common.util.EList<SValueLayer>` | `getValueLayers()` Returns the value of the 'Value Layers' containment reference list.

Methods inherited from interface org.metaabm.SAgent
`getChildren, getOwner, getStyles, setOwner`

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SImplemented
`getImplementation, getParent, setImplementation`

Method Detail

### getProjections

    org.eclipse.emf.common.util.EList<SProjection> getProjections()

  Returns the value of the 'Projections' containment reference list. The list contents are of type `SProjection`. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Projections' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Projections' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_Projections()`, `SProjection.getOwner()`

### getAgents

    org.eclipse.emf.common.util.EList<SAgent> getAgents()

  Returns the value of the 'Agents' containment reference list. The list contents are of type `SAgent`. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Agents' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Agents' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_Agents()`, `SAgent.getOwner()`

### getValueLayers

    org.eclipse.emf.common.util.EList<SValueLayer> getValueLayers()

  Returns the value of the 'Value Layers' containment reference list. The list contents are of type `SValueLayer`.

  If the meaning of the 'Value Layers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Layers' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_ValueLayers()`

### getLibrary

    org.eclipse.emf.common.util.EList<IArtifact> getLibrary()

  Returns the value of the 'Library' containment reference list. The list contents are of type `IArtifact`.

  If the meaning of the 'Library' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Library' containment reference list.
  See Also:
    `MetaABMPackage.getSContext_Library()`

### getSubContexts

    java.util.Collection<SContext> getSubContexts()

### getAllSubAgents

    java.util.List<SAgent> getAllSubAgents()

### getAllAgents

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAllAgents()

### getAllContexts

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getAllContexts()

### findChild

    SAgent findChild(java.lang.String name)

### findAgent

    SAgent findAgent(java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD